<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstMessagePosition Method (IEdmInbox5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmInbox5 Interface : GetFirstMessagePosition Method (IEdmInbox5)

Visual Basic
C#
C++/CLI

lEdmGetMsgFlags
  Combination of EdmGetMsgFlag bits indicating which messages to enumerate

Starts an enumeration of the messages in this inbox.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstMessagePosition( _
       Optional ByVal lEdmGetMsgFlags As System.Integer _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstMessagePosition(
       System.int lEdmGetMsgFlags
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstMessagePosition(
    &   System.int lEdmGetMsgFlags
    )

#### Parameters

lEdmGetMsgFlags
  Combination of EdmGetMsgFlag bits indicating which messages to enumerate

#### Return Value

IEdmPos5; position of the first message in the inbox

# Example

Get Messages (C#)
Get Messages (VB.NET)

# Remarks

This method only works to enumerate messages of the user currently logged in to the vault.

After calling this method, pass the returned first message position to IEdmInbox5::GetNextMessage to get the first message in the inbox. Then call IEdmInbox5::GetNextMessage repeatedly to get the rest of the messages in the inbox.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: You tried to access somebody else's messages.

# See Also

####

IEdmInbox5 Interface
IEdmInbox5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.3